## kopano-webapp 3.4.19+dfsg1

=== Makefile ===
# Tools

ANT ?= ant
PHPMD ?= phpmd
NPM ?= npm

# Files

POFILES = $(wildcard server/language/*/*/*.po)
PHPFILES = config.php.dist kopano.php $(wildcard server/includes/*.php) $(wildcard server/includes/*/*.php)
JSFILES = $(wildcard client/zarafa/*.js) $(wildcard client/zarafa/*/*.js)
CORE_FILES = $(POFILES) $(PHPFILES) $(JSFILES)


# Build

.PHONY: all
all: build


build: node_modules deploy
test: jstest


# TODO(jelle): add plugin file dependency's (or Makefile in plugins)
deploy: $(CORE_FILES)
	$(ANT) deploy
	# Ant doesn't update the deploy modification time
	touch $@

.PHONY: lint
lint: vendor
	$(NPM) run lint -- --cache

.PHONY: lintci
lintci: vendor
	$(NPM) run lint -- --quiet -f junit -o eslint.xml client/zarafa/ || true

.PHONY: jstest
jstest: build
	$(NPM) run jsunit

.PHONY: jstestci
jstestci: build
	$(NPM) run jsunit -- --reporters junit

.PHONY: jstestcov
jstestcov: build
	$(NPM) run jsunit -- --reporters coverage

open-coverage: jstestcov
	${BROWSER} test/js/coverage/report-html/index.html

.PHONY: phplint
phplint:
	$(PHPMD) server text .phpmd.xml

.PHONY: phplintcli
phplintci:
	$(PHPMD) server xml .phpmd.xml --ignore-violations-on-exit | python tools/violations_to_junit.py > phpmd.xml

# NPM

.PHONY: vendor
vendor: node_modules

node_modules:
	$(NPM) install

.PHONY: clean
clean:
	@rm -rf deploy
	@rm -rf node_modules

## kopano-webapp 3.4.6%2Bdfsg1

=== debian/control ===
Source: kopano-webapp
Section: web
Priority: optional
Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
  Jelle van der Waa <j.vanderwaa@kopano.com>
Build-Depends: ant,
  ant-optional,
  default-jdk,
  debhelper (>= 10),
  dh-exec,
  gettext,
  liblocale-msgfmt-perl,
  libxml2-utils,
  php-cli
Rules-Requires-Root: binary-targets
Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
Homepage: https://github.com/Kopano-dev/kopano-webapp
Standards-Version: 4.1.3

Package: kopano-webapp-common
Architecture: all
Depends:
 kopano-contacts (>= 8.1.0),
 php-gettext,
 php-mapi (>= 8.1.0),
 ssl-cert,
 ${misc:Depends},
Recommends:
 kopano-server,
 kopano-webapp-apache2 | kopano-webapp-nginx | kopano-webapp-lighttpd,
Description: WebApp for the Kopano Collaboration Platform - common files
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 This package contains the common used files and dependencies on packages for
 all the webserver specific kopano-webapp packages.

Package: kopano-webapp-apache2
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-php,
 kopano-webapp-common (>= ${binary:Version}),
 ${misc:Depends},
Recommends:
 kopano-server,
Description: WebApp for the Kopano Collaboration Platform - Apache2
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 Apache2 specific configuration and dependencies will be provided by this
 package.

Package: kopano-webapp-nginx
Architecture: all
Depends:
 nginx,
 kopano-webapp-common (>= ${binary:Version}),
 php-fpm,
 ${misc:Depends},
Recommends:
  kopano-server,
Description: WebApp for the Kopano Collaboration Platform - Nginx
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 Nginx specific configuration and dependencies will be provided by this
 package.

Package: kopano-webapp-lighttpd
Architecture: all
Depends:
 lighttpd,
 kopano-webapp-common (>= ${binary:Version}),
 php-cgi,
 ${misc:Depends},
Recommends:
  kopano-server,
Description: WebApp for the Kopano Collaboration Platform - Lighttpd
 Provides a web-client written in PHP that uses JSON and Ext JS to allow users
 to make full use of the Kopano Collaboration Platform through a modern web
 browser. The functionality of the web-client can be expanded by various
 plugins.
 .
 Lighttpd specific configuration and dependencies will be provided by this
 package.

Package: kopano-webapp-contactfax
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp fax plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Expand the new "create mail" dialog with contact's fax number in the To:
 field of the email.

Package: kopano-webapp-folderwidgets
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp folder widgets plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Folder widgets plugin for kopano-webapp. This is a collection of widgets which
 can show the contents of some of the default folders for a user.

Package: kopano-webapp-gmaps
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp google maps plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Google Maps plugin for kopano-webapp, adds a new 'maps' tab in the contact
 details which displays the location of the contact by using Google Maps.

Package:  kopano-webapp-pimfolder
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp personal inbox plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Expand kopano-webapp by providing a button to quickly move messages to a
 certain folder in your inbox. This plug-in allows you to quickly move
 messages to a single, preconfigured folder. This makes it easier to work
 through your emails if you work with a "Getting Things Done" methodology.

Package: kopano-webapp-quickitems
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp quick items plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Quick Items plugin for koapno-webapp. Adds special widgets to the WebApp which
 makes it easier to create new mails, appointments, contacts, tasks and notes.

Package: kopano-webapp-titlecounter
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp Titlecounter plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Titlecounter plugin for kopano-webapp which shows the amount of unread inbox
 mail items in the browsers title window.

Package: kopano-webapp-webappmanual
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp Manual plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Adds a button in the top menu bar, which opens the user manual of the Kopano
 WebApp.

Package: kopano-webapp-zdeveloper
Architecture: all
Depends: ${misc:Depends}, kopano-webapp-common (>= ${binary:Version})
Description: Kopano WebApp developer plugin
 This package is a plugin for kopano-webapp, a web interface for Kopano from
 Zarafa.
 .
 Developer plugin for kopano-webapp, exposes insertion points visually in the
 kopano-webapp. Plugin is mostly useful for plugin developers.

## kopano-webapp 3.4.6+dfsg1

=== debian/changelog ===
kopano-webapp (3.4.6+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [4a7b3cc] New upstream version 3.4.6+dfsg1
  * [9471ff5] rebuild patch queue from patch-queue branch
  * [b85f8d1] debian/control: adding new field Rules-Requires-Root

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Feb 2018 19:22:29 +0100

kopano-webapp (3.4.5+dfsg1-1) unstable; urgency=medium

  [ Chris Lamb ]
  * [abd06ef] ignore *.js.map file while installation (Closes: #887989)

  [ Carsten Schoenert ]
  * [9a9c678] ignore *debug.js file too while installation
  * [5c1cc85] New upstream version 3.4.5+dfsg1
  * [9ea9ec1] rebuild patch queue from patch-queue branch
  * [4aba63e] adjust Vcs fields to salsa.debian.org

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 02 Feb 2018 20:52:16 +0100

kopano-webapp (3.4.4+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [f804b49] New upstream version 3.4.4+dfsg1
  * [cd3b3dd] rebuild patch queue from patch-queue branch
  * [5977cd7] kopano-webapp: switch to upstream apparmor profile
     Thanks to Kopano which have accepted a pull request to include the
     apparmor profile Guido has prepared and we included since version
     3.4.0+dfsg1-1.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 21 Jan 2018 19:34:06 +0100

kopano-webapp (3.4.3+dfsg1-1) experimental; urgency=medium

  [ Carsten Schoenert ]
  * [95af975] New upstream version 3.4.1+dfsg1
  * [877e01f, 73d82f3] debian/control: increase Standards-Version to 4.1.2
     and 4.1.3
     No further changes are needed.
  * [e445a2c] debian/gbp.conf: don't relay hard on xz compression
  * [c22dd62] New upstream version 3.4.2+dfsg1
  * [69f69f8] k-w-apache2: enhance postinst procedure
     Don't let the website configuration disabled and try to activate the
     configuration while installing k-w for the first time. Don't force to
     re-enable k-w in case the user has disabled the current configuration
     and the installation of k-w is a update.
     Closes: #876668
  * [c4740a8] k-w-apache2: adding a postrm script
     Remove the symlink from /e/a/conf-enabled in case the user is purging the
     package.
  * [0753d23] k-w-a: modify README after changed behavior
     Adding some notes about the current behavior for k-w-a to the README of
     the package, explain how the website configuration is intended and why it
     is now enabled after the installation of k-w-a.
  * [2277f4b] New upstream version 3.4.3+dfsg1
  * [7036d6c] lintian-overrides: add one more override
     Adding a l-o to a almost readable and not minified JS file that is only
     used for unit testing.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 06 Jan 2018 20:43:35 +0100

kopano-webapp (3.4.0+dfsg1-1) experimental; urgency=medium

  [ Guido Günther ]
  * [edc719f] postinst: Fix typo
  * [2c298e3] apparmor: add hat name if apache module is enabled
  * [7310d19] Add apparmor profile
  * [e9f346e] Create empty plugin folder
  * [f03dd82, 273adee, 3c6251c] uscan: simplify the rule set
     Use a more strictly kopano-webapp specific set up, which means
     * Don't prefer rc and beta over releases
     * Handle dot in front of beta and rc versions numbers

  [ Jelle van der Waa ]
  * [5b7d1ec] rules: remove left-over files plugin references
     Remove cruft in debian/rules which isn't needed and used any more.

  [ Carsten Schoenert ]
  * [429e8ed] gbp.conf: don't remove powerpaste plugin
     Don't remove the Powerpaste plugin in future imports, it's free
     software.
  * [7613a3c] New upstream version 3.3.1+dfsg1
  * [05cc6e2] debian/watch: update content due needed dversionmangle
     We mark the source tarbal with the 'dfsg' suffix to show we have filtered
     out some non DFSG compatible parts. Thus needs to be mangled by uscan.
  * [8ac43f8] debian/control: increase Standards-Version to 4.1.1
     No further changes are needed.
  * [d20d14b] debian/control: remove not needed ${misc:Recommends}
     Just a clean out of these not needed variables in Architecture: all
     packages.
  * [c1d3521] s/lintian-overrides: add extra JS files
    We need to add some minor overrides related to the powerpaste plugin.
  * [98edf68] debian/rules: remove License.txt from powerpaste folder
  * [3216194] debian/copyright: add information for powerpaste plugin
  * [3738132] debian/watch: update due changed GitHub organisation
  * [c586f03] autopkgtest: adjust chromiumdriver -> chromium-driver
  * [49801f2] k-w-c.lintian-overrides: avoid lintian warning about empty folder
  * [f313807] New upstream version 3.4.0+dfsg1
  * [845c8f8] rebuild patch queue from patch-queue branch
     Adding few i18n related patches for QS purpose of the language files. To
     be forwarded upstream.
  * [443d2ce] README.source: update content
  * [78c842f] src:kopano-webapp: add some additional fields
     Adding now we have a working Git repository on Alioth also the VCS fields
     and also a Homepage field pointing to the upstream GitHub tree.
  * [568e86b] debian/watch: (re)adding dversionmangle due 'dfsg' suffix
  * [421c4fe] lintian: adding override for kopanowebappdings.ttf

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 19 Nov 2017 13:24:04 +0100

kopano-webapp (3.3.1-1) experimental; urgency=medium

  * Initial Upload
    Closes: #783640

  [ Carsten Schoenert ]
  * [2322e52] Imported Upstream version 2.1.0~rc1
  * [50df361] rebuild patch queue from patch-queue branch
  * [b2eff8b] d/c-u-t.sh: remove more files and folders from upstream
  * [3585010] debian/copyright: adopt new included 'powerpaste' plugin
  * [c74eb6d] debian/rules: removing unneeded license text files
  * [434ff7b] debian/copyright: update after removing PHP-2.02 related file
  * [2299c8b] debian/control: zarafa-webapp-files needs php5-curl
  * [7292ac2] debian/rules: remove unneeded sabredav folder before install
  * [d1fe95d] remove unneeded libjs-jac build dependency
  * [489cc91] Imported Upstream version 2.1.0


=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk
RELEASE := $(DEB_DISTRIBUTION)

%:
	dh $@ 

override_dh_auto_clean:

override_dh_auto_build:
	# now let's build the stuff
	ant deploy deploy-plugins
	mkdir $(CURDIR)/debian/tmp
	cp -a $(CURDIR)/deploy $(CURDIR)/debian/tmp/

override_dh_install:
	dh_install -X.js.map -X*debug.js
	# figure out package version
	echo $(DEB_VERSION) > \
		$(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp/version
	# remove additional license files
	rm $(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp/client/tinymce-plugins/powerpaste/License.txt

override_dh_fixperms:
	dh_fixperms -Xvar/lib/kopano-webapp/tmp
	chown www-data:www-data $(CURDIR)/debian/kopano-webapp-common/var/lib/kopano-webapp/tmp

=== debian/tests/control ===
Tests: smoke
Depends: chromium-driver,
 phantomjs,
 python-nose,
 python-selenium
Restrictions: allow-stderr

=== debian/watch ===
# watch file for kopano-webapp from Kopano
#
# Kopano is mirroring some of there git trees on GitHub, so also kopano-webapp.
# That's makes it a lot easier to use uscan for tracking new upstream versions.
#
# Release Tags are currently not signed!
#
# Also there aren't any armored detached signing files (*.asc), thus we can't use
# any cryptographic signature verification and don't use 'pgpsigurlmangle'.

# opts= ...
# pgpsigurlmangle=s/archive\/(\d\S+)\.tar\.gz/releases\/download\/$1\/$1\.tar\.gz\.asc/ \
# ...

version=4

opts="uversionmangle=s/-(beta|rc)/~$1/;s/\.-(beta|rc)\.\d.*//;s/\.\.//,\
dversionmangle=s/\+dfsg(\.?\d+)?$//" \
https://github.com/Kopano-dev/kopano-webapp/tags .*/v(\d.\d.\d(-(beta|rc)\.\d)?)\.tar\.gz

## kopano-webapp 3.4.19+dfsg1

=== debian/changelog ===
kopano-webapp (3.4.19+dfsg1-1) unstable; urgency=medium

  * [06cd21e] New upstream version 3.4.19+dfsg1
  * [4ffc195] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 28 Jul 2018 14:12:22 +0800

kopano-webapp (3.4.17+dfsg1-1) unstable; urgency=medium

  * [d3dbe35] New upstream version 3.4.17+dfsg1
  * [fb602d7] rebuild patch queue from patch-queue branch
  * [423df90] update Maintainers to new contact address
     Updating the Maintainer email address to 
     pkg-giraffe-maintainers@alioth-lists.debian.net
  * [05e8fb1] debian/control: increase Standards-Version to 4.1.5
     No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 13 Jul 2018 20:54:19 +0200

kopano-webapp (3.4.16-1) unstable; urgency=medium

  * [5019d3e] uscan: also match minor versions with more than one digest
  * [58e8132] New upstream version 3.4.16
  * [e6355a5] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 23 Jun 2018 10:59:22 +0200

kopano-webapp (3.4.15+dfsg1-1) unstable; urgency=medium

  * [5b4a74b] New upstream version 3.4.15+dfsg1
  * [294aef1] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 31 May 2018 07:21:43 +0200

kopano-webapp (3.4.13+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [680949a] use PHP_VERSION from one central place
     We need the used PHP version in various files and places, define the PHP
     version within debian/rules and substitute this into the needed files. By
     this we won't forget to collate the PHP version in the other files.
  * [51d7810] kopano-webapp-nginx: also substitute PHP version here
     Use also the PHP version from debian/rules for kopano-webapp-nginx.
  * [0372b15] k-w-nginx: enable web site activation
     By this version we will enable the Nginx web site configuration for
     kopano-webapp.
  * [fb30e45] k-w-nginx: create dedicated user config file
     Providing a dedicated file where the user needs to add the needed web
     site configuration and modifications.
  * [8a9c68c] k-w-n: modify README after changed behavior
  * [260aaa1] New upstream version 3.4.13+dfsg1
  * [66c03a4] rebuild patch queue from patch-queue branch
     Added a patch for the new shipped l10n files for Arabic (Algeria).
  * [9feeca2] debian/control: increase Standards-Version to 4.1.4
     No further changes needed.
  * [33af810] debian/rules: override the dh_autotest target
     kopano-webapp comes now with automated tests which doesn't work inside
     the buildd infrastructure and we need to disable.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 17 May 2018 12:13:52 +0200

kopano-webapp (3.4.10+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [813691e] New upstream version 3.4.10+dfsg1
  * [2e1203f] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 07 Apr 2018 18:11:45 +0200

kopano-webapp (3.4.9+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [e0eb87a] New upstream version 3.4.9+dfsg1
  * [4c4e258] rebuild patch queue from patch-queue branch
  * [2bdcb0b] d/kopano-webapp-apache2.conf: adding upstream modifications

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 16 Mar 2018 10:26:20 +0100

kopano-webapp (3.4.7+dfsg1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [e30d290] New upstream version 3.4.7+dfsg1
  * [99c8675] rebuild patch queue from patch-queue branch
  * [ef340eb] d/control: adding Rules-Requires-Root to source section

 -- Carsten Schoenert <c.schoenert@t-online.de>  Mon, 05 Mar 2018 19:30:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: kopano-webapp
 Section: web
 Priority: optional
-Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@lists.alioth.debian.org>
+Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
 Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
   Jelle van der Waa <j.vanderwaa@kopano.com>
 Build-Depends: ant,
@@ -12,12 +12,12 @@
   gettext,
   liblocale-msgfmt-perl,
   libxml2-utils,
-  php-cli
+  php-cli,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
 Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
 Homepage: https://github.com/Kopano-dev/kopano-webapp
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 
 Package: kopano-webapp-common
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
+PHP_VERSION = 7.2
 
 %:
 	dh $@ 
@@ -15,6 +16,7 @@
 	ant deploy deploy-plugins
 	mkdir $(CURDIR)/debian/tmp
 	cp -a $(CURDIR)/deploy $(CURDIR)/debian/tmp/
+	sed -e "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-nginx.postinst.in > debian/kopano-webapp-nginx.postinst
 
 override_dh_install:
 	dh_install -X.js.map -X*debug.js
@@ -23,7 +25,10 @@
 		$(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp/version
 	# remove additional license files
 	rm $(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp/client/tinymce-plugins/powerpaste/License.txt
+	sed -i "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-nginx/etc/nginx/sites-available/kopano-webapp.conf
 
 override_dh_fixperms:
 	dh_fixperms -Xvar/lib/kopano-webapp/tmp
 	chown www-data:www-data $(CURDIR)/debian/kopano-webapp-common/var/lib/kopano-webapp/tmp
+
+override_dh_auto_test:

## kopano-webapp 3.5.2+dfsg1

=== Makefile ===
# Tools

PHPMD ?= phpmd
NPM ?= npm
MSGFMT ?= msgfmt
PHP ?= php
JAVA ?= java

# Variables

APACHECONF = kopano-webapp.conf
DESTDIR ?= deploy

# Javascript compiler

JSDEPLOY = $(DESTDIR)/client

JSCOMPILER ?= $(JAVA) -jar tools/lib/compiler.jar

JSOPTIONS = --externs client/externs.js \
	--compilation_level SIMPLE --warning_level VERBOSE --jscomp_off=es5Strict --strict_mode_input=false \
	--jscomp_off=globalThis --jscomp_off=misplacedTypeAnnotation --jscomp_off=nonStandardJsDocs \
	--jscomp_off=missingProperties --jscomp_off=invalidCasts --jscomp_off=checkTypes \
	--jscomp_warning=visibility --jscomp_warning=unknownDefines --jscomp_warning=undefinedVars \
	--jscomp_warning=strictModuleDepCheck --jscomp_warning=fileoverviewTags --jscomp_warning=deprecated \
	--jscomp_error=checkVars --jscomp_warning=checkRegExp --jscomp_warning=accessControls

# Server files

APACHECONFDEST = $(addprefix $(DESTDIR)/, $(APACHECONF))
DISTFILES = $(addprefix $(DESTDIR)/,config.php.dist debug.php.dist)
ROBOTS = $(addprefix $(DESTDIR)/, robots.txt)
HTACCESS = $(addprefix $(DESTDIR)/, .htaccess)
LANGTXT = $(wildcard server/language/*/language.txt)
LANGTXTDEST = $(addprefix $(DESTDIR)/, $(LANGTXT))
POS = $(wildcard server/language/*/LC_MESSAGES/zarafa_webapp.po)
MOS = $(patsubst %.po,$(DESTDIR)/%.mo,$(POS))
INCLUDES = $(shell find server/includes -name '*.php')
PHPFILES = $(filter-out $(DESTDIR)/config.php, $(filter-out $(DESTDIR)/debug.php, $(patsubst %.php,$(DESTDIR)/%.php,$(wildcard *.php) $(INCLUDES))))
SERVERROOTFILES = $(addprefix $(DESTDIR)/,server/.htaccess server/manifest.dtd)

# Client files

CSS = $(wildcard client/resources/css/*/*.css client/extjs/ux/css/ux-all.css client/extjs/resources/css/*.css)
CSSDEST = $(addprefix $(DESTDIR)/, $(CSS))
IMAGEDIR = client/resources/images
IMAGES = $(wildcard $(IMAGEDIR)/*.* $(IMAGEDIR)/whatsnew/*.*)
IMAGESDEST = $(addprefix $(DESTDIR)/, $(IMAGES))
APPICONS = $(wildcard $(IMAGEDIR)/app-icons/*.*)
APPICONSDEST = $(addprefix $(DESTDIR)/, $(APPICONS))
APPICONSSCSS = client/resources/scss/base/_icons.scss
APPICONSEXTENSIONSFILE = client/resources/images/app-icons.extensions.json
EXTJSMODFILES = $(wildcard client/extjs-mod/*.js)
KOPANOCSS = $(DESTDIR)/client/resources/css/kopano.css
ICONEXTENSIONSFILE = client/resources/iconsets/extensions.json
ICONSETS = $(notdir $(filter-out client/resources/iconsets/extensions.json, $(wildcard client/resources/iconsets/*)))
ICONS = $(foreach iconsetdir,$(ICONSETS),$(wildcard client/resources/iconsets/$(iconsetdir)/src/png/*/*.png))
ICONSETSDEST = $(addprefix $(DESTDIR)/client/resources/iconsets/, $(ICONSETS))
ICONSETSCSS = $(foreach iconsetdir,$(ICONSETS),client/resources/iconsets/$(iconsetdir)/$(iconsetdir)-icons.css)
ICONSETSCSSDEST = $(addprefix $(DESTDIR)/, $(ICONSETSCSS))
EXTJS = client/extjs/ext-base.js client/extjs/ext-all.js
THIRDPARTY = $(shell find client/third-party -name '*.js') client/third-party/tokenizr/tokenizr.js

POFILES = $(wildcard server/language/*/*/*.po)
JSFILES = $(shell find client/zarafa -name '*.js')

# Build

.PHONY: deploy server client all

all: deploy

deploy: server client plugins

build: node_modules deploy
test: jstest

server: $(MOS) $(LANGTXTDEST) $(PHPFILES) $(DESTDIR)/$(APACHECONF) $(DISTFILES) $(ROBOTS) $(HTACCESS) $(DESTDIR)/version $(SERVERROOTFILES)

client: $(CSSDEST) $(ICONSETSDEST) $(IMAGESDEST) $(KOPANOCSS) $(APPICONSDEST) js
	cp -r client/resources/fonts $(DESTDIR)/client/resources/
	cp -r client/resources/scss $(DESTDIR)/client/resources/
	cp -r client/resources/config.rb $(DESTDIR)/client/resources/
	cp -r client/resources/iconsets $(DESTDIR)/client/resources/
	cp -r client/zarafa/core/themes $(DESTDIR)/client/
	cp -r client/resources/images/app-icons $(DESTDIR)/client/resources/images/
	rm -rf $(DESTDIR)/client/themes/*/js
	# TODO use separate targets

js: $(JSDEPLOY)/fingerprint.js $(JSDEPLOY)/resize.js $(TEMPATEJSDEST) $(JSDEPLOY)/kopano.js $(JSDEPLOY)/extjs-mod/extjs-mod.js $(JSDEPLOY)/extjs/ext-base-all.js $(DESTDIR)/client/third-party/ux-thirdparty.js
	cp -r client/tinymce $(DESTDIR)/client/
	cp -r client/tinymce-languages $(DESTDIR)/client/
	cp -r client/tinymce-plugins $(DESTDIR)/client/
	cp -r client/extjs $(DESTDIR)/client/
	rm $(DESTDIR)/client/extjs/ext-base.js
	rm $(DESTDIR)/client/extjs/ext-all.js
	rm $(DESTDIR)/client/extjs/resources/css/reset-min.css
	rm $(DESTDIR)/client/extjs/resources/css/xtheme-blue.css
	# TODO use separate targets

$(DESTDIR)/%.php: %.php
	php -l $<
	mkdir -p $$(dirname $@)
	cp $< $@

$(APACHECONFDEST): $(APACHECONF)
	cp $< $@

$(ROBOTS): robots.txt
	cp $< $@

$(HTACCESS): .htaccess
	cp $< $@

$(KOPANOCSS): client/resources/css/design.css
	mkdir -p $$(dirname $@)
	cp $< $@

$(DESTDIR)/%.mo : %.po
	mkdir -p $$(dirname $@)
	$(MSGFMT) -v -o $@ $<

$(DESTDIR)/%: %
	mkdir -p $$(dirname $@)
	cp $< $@

$(DESTDIR)/version: version
	cp $< $@

$(DESTDIR)/client/extjs/ext-base-all.js: $(EXTJS)
	cat $+ > $@

$(JSDEPLOY)/fingerprint.js: client/fingerprint.js
	mkdir -p $(JSDEPLOY)
	cat client/fingerprint.js > $(JSDEPLOY)/fingerprint-debug.js
	$(JSCOMPILER) --js $< --js_output_file $@ $(JSOPTIONS)

$(JSDEPLOY)/kopano.js: $(JSFILES)
	$(PHP) tools/loadorder.php kopano $(@:.js=-debug.js)
	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@ \
		--source_map_location_mapping=$(JSDEPLOY)/\| \
		--output_wrapper="%output%//# sourceMappingURL=$(shell basename $@.map)" \
		--create_source_map $@.map \
		$(JSOPTIONS)

$(JSDEPLOY)/extjs-mod/extjs-mod.js: $(EXTJSMODFILES)
	mkdir -p $(JSDEPLOY)/extjs-mod
	$(PHP) tools/loadorder.php extjs $(@:.js=-debug.js)
	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@ \
		--source_map_location_mapping=$(JSDEPLOY)/extjs-mod/\| \
		--output_wrapper="%output%//# sourceMappingURL=$(shell basename $@.map)" \
		--create_source_map $@.map $(JSOPTIONS)

$(JSDEPLOY)/resize.js: client/resize.js
	mkdir -p $(JSDEPLOY)
	cat client/resize.js > $(JSDEPLOY)/resize-debug.js
	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@

$(JSDEPLOY)/third-party/ux-thirdparty.js: $(THIRDPARTY)
	mkdir -p $(JSDEPLOY)/third-party
	# concatenate using cat
	cat $^ > $(@:.js=-debug.js)
	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@ \
		--source_map_location_mapping=$(JSDEPLOY)/\| \
		--output_wrapper="%output%//# sourceMappingURL=$(shell basename $@.map)" \
		--create_source_map $@.map \
		$(JSOPTIONS) --jscomp_off=checkVars

$(JSDEPLOY)/third-party/TinyMceTextArea-debug.js: client/third-party/tinymce/TinyMceTextArea.js
	mkdir -p $(JSDEPLOY)/third-party
	cp $< $@
	$(JSCOMPILER) --js $< --js_output_file $@

config:
	cp $(DESTDIR)/config.php.dist $(DESTDIR)/config.php

# Test

.PHONY: lint
lint: vendor
	$(NPM) run lint -- --cache

.PHONY: lintci
lintci: vendor
	$(NPM) run lint -- --quiet -f junit -o eslint.xml client/zarafa/ || true

.PHONY: jstest
jstest: build
	$(NPM) run jsunit

.PHONY: jstestci
jstestci: build
	$(NPM) run jsunit -- --reporters junit

.PHONY: jstestcov
jstestcov: build
	$(NPM) run jsunit -- --reporters coverage

open-coverage: jstestcov
	${BROWSER} test/js/coverage/report-html/index.html

.PHONY: phplint
phplint:
	$(PHPMD) server text .phpmd.xml

.PHONY: phplintcli
phplintci:
	$(PHPMD) server xml .phpmd.xml --ignore-violations-on-exit | python tools/violations_to_junit.py > phpmd.xml

# NPM

.PHONY: vendor
vendor: node_modules

node_modules:
	$(NPM) install

# Icons

.SECONDEXPANSION:
$(ICONSETSDEST): $$(subst deploy/,,$$@)/iconset.json $$@/$$(notdir $$@)-icons.css
	mkdir -p $@
	cp $< $@

$(ICONSETSCSSDEST): $$(subst deploy/,,$$@)
	mkdir -p $(@D)
	cp $< $@

.PHONY: iconsets
iconsets: $(ICONS) node_modules
	$(NPM) run iconsets

# This rule should not be enabled until our build server supports nodejs.
# Just create the iconsets locally by running `npm run iconsets` whenever
# something has changed.
#$(ICONSETSCSS): $$(@D)/src/png/*/*.png $(ICONEXTENSIONSFILE) node_modules
#	$(NPM) run iconsets:$(notdir $(@D))

# this rule creates the file client/resources/scss/base/_icons.scss
# since the scss files are not compiled during the build (yet),
# this rule can only be used locally for now.
.PHONY: app-icons
app-icons: $(APPICONSSCSS)

$(APPICONSSCSS): $(APPICONS) $(APPICONSEXTENSIONSFILE) node_modules
	$(NPM) run app-icons

# Tokenizr library

# This rule should not be enabled until our build server supports nodejs.
# Just build the tokenizr library locally by running `make tokenizr` whenever
# something has changed. (i.e. the tokenizr lib has been updated)
#client/third-party/tokenizr/tokenizr.js: tokenizr
#	$(NPM) run build:tokenizr

.PHONY: tokenizr
tokenizr: node_modules
	$(NPM) run build:tokenizr

# Plugins

.PHONY: plugins
plugins:
	make -C plugins

.PHONY: clean
clean:
	make -C plugins clean
	@rm -rf deploy
	@rm -rf node_modules

print-%  :
	@echo $* = $($*)

=== plugins/folderwidgets/Makefile ===
include ../shared.mk

JSFILES = js/AbstractFolderWidget.js js/AppointmentsWidget.js js/MailWidget.js js/TasksWidget.js

COPYFILES = LICENSE.txt manifest.xml \
	$(wildcard resources/css/*.css resources/images/*.svg) \
	$(wildcard php/*.php)

COPYFILESDEST = $(addprefix $(DESTDIR)/, $(COPYFILES))

all: $(COPYFILESDEST) $(JSDEPLOY)/folderwidgets.js

$(JSDEPLOY)/folderwidgets.js: $(JSFILES)
	mkdir -p $(DESTDIR)/js
	cat $(JSFILES) > $(JSDEPLOY)/folderwidgets-debug.js
	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@ \
		--source_map_location_mapping=$(JSDEPLOY)/js/\| \
		--output_wrapper="%output%//# sourceMappingURL=$(shell basename $@.map)" \
		--create_source_map $@.map \
		$(JSOPTIONS)

=== debian/changelog ===
kopano-webapp (3.5.2+dfsg1-1) unstable; urgency=medium

  * [63c1d6f] New upstream version 3.5.2+dfsg1
  * [57242ac] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Tue, 05 Feb 2019 19:28:34 +0100

kopano-webapp (3.5.1-1) unstable; urgency=medium

  [ Carsten Schoenert ]
  * [c4517b5] New upstream version 3.5.1
  * [5416e27] source lintian: ignore warning about long line
     Ignore warning about KQLParser.js which has one long line.

  [ Martijn Alberts ]
  * [c0aae23] autopkgtest: use another method to find CSS IDs
     Use now another check method while searching for an CSS ID. Due this the
     check searches for another ID too.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Fri, 18 Jan 2019 19:01:32 +0100

kopano-webapp (3.5.1~rc1+dfsg1-1) unstable; urgency=medium

  * [1df56c9] debian/control: increase Standards-Version to 4.3.0
     No further changes needed.
  * [2b72826] d/control: remove npm package from B-D (again)
     The npm package was a Build-Depends after kopano-webapp versions 3.4.22,
     but no version of these releases was ever uploaded. npm isn't needed now
     any more.
  * [3756879] autopkgtest: create needed store before testing
     Since kopanocore version > 8.6.0 the user needs to get a store, updating
     the autopkgtest to fulfil this requirement.
  * [32228fd] autopkgtest: update test to work in headless mode
     The phantomjs driver in selenium is abandoned for some time, it's
     suggested to work with the headless mode of the chromedriver or with
     firefox.
     Rework of the test to work with chromium in headless mode.
     Thanks Guido for helping out with the lambda functions!
  * [66c1e9e] New upstream version 3.5.1~rc1+dfsg1
  * [878097f] rebuild patch queue from patch-queue branch
     removed patch (fixed upstream):
     server-do-not-define-JSONException-as-function.patch
  * [748e428] autopkgtest: search correct CSS class names
     Obviously the CSS class names have changed a bit more, we need to search
     for other names now to login and send an email.
  * [c56d0f3] autopkgtest: move over to Python3 based packages
  * [6b4563d] d/control: increase depending version on php-mapi
     The autopkgtest has detected that we need a recent version of php-mapi
     (which is provided by the kopanocore package) with a version >= 8.6.92.
  * [e1a92d4] k-w-common.install: also install the tokenizr JS file
     The file tokenizr.min.js isn't installed by the Makefile from upstream,
     working around this and pick the file directly from the source folder.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 13 Jan 2019 12:52:59 +0100

kopano-webapp (3.5.0+dfsg1-1) unstable; urgency=medium

  * [c7188ec] d/rules: detect PHP_VERSION dynamically
     We need to know the version of PHP in some postinst scripts. Read the PHP
     version from the installed php$VERSION-cli package which is getting
     installed as a Build-Dependency from php-dev.
  * [cf82604] d/control: add B-D on php-dev
  * [0ed0592] d/rules: some sanity checking addition
     Ensure we could read the PHP version from the system, otherwise a further
     build is useless.
  * [6320c46] New upstream version 3.5.0+dfsg1
  * [de94789] rebuild patch queue from patch-queue branch
     Removed all patches that have modified the existing po files, all
     modifications are applied upstream now. The non existing language es_CA
     still needs to be removed by the patch queue.
    added patch:
     server-do-not-define-JSONException-as-function.patch
  * [0ff6616] Build_Depends: add new needed packages
     The new upstream version is relying on npm and phpmd as build
     dependencies.
  * [858ac95] d/control: remove ant* packages from B-D
     But we don't need any ant related packages as build dependencies any more.
  * [a24d168] d/rules: drop ant related call
     As the build system isn't using ant any more we need to adjust the build
     in debian/rules. Upstream is now working with a classical Makefile.
  * [0ffdb83] d/rules: remove potential execution rights on php files
     We don't need execution rights on the php files shipped in the -common
     package.
  * [c451b2b] k-w-common: increase depending version on php-mapi
     kopano-webapp is heavily relying on php-mapi from src:kopanocore. Recent
     kopanocore packages are build against php7.3 so we need to increase the
     depending version of php-mapi.
  * [b31e457] k-w-nginx: update postinst script
     The postinst for the nginx package was missing a reload of php-fpm at the
     end of the postinst script. Reworking some informal output in the script.
  * [2060987] k-w-nginx: update postrm script
     No functional changes, but also updating the informal output of the
     script.
  * [11bf5b1] k-w-apache2: update postinst script
     The apache2 postinst script needs to enable the mapi module while
     configuring the package in case of installation or update.
  * [ff3cbf3] k-w-lighttpd: always remove site config while purging
     (Closes: #909599)
  * [980c627] k-w-lighttpd: use dynamical PHPVERSION in postinst
     Don't use a hardcoded PHP version within the postinst script, the version
     will substituted with the version from the build so we don't need to
     modify it every time a new PHP version is coming.
  * [d83bfa3] k-w-lighttpd: update email contact in README
     Since the ML is now moved to the domain alioth-lists.debian.net a small
     update is needed in the README.
  * [d2552c3] k-w-lighttpd: update README about http usage
     And one more update to the README file for kopano-webapp-lighttpd, add
     some information about the wanted non working http only access to
     kopano-webapp.
  * [7900c38] d/t/control: autopkgtest needs root rights
     A small update to the autotest, but more changes are needed to get the
     autopkgtest working again.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 23 Dec 2018 18:04:49 +0100



=== debian/control ===
--- 
+++ 
@@ -4,27 +4,28 @@
 Maintainer: Giraffe Maintainers <pkg-giraffe-maintainers@alioth-lists.debian.net>
 Uploaders: Carsten Schoenert <c.schoenert@t-online.de>,
   Jelle van der Waa <j.vanderwaa@kopano.com>
-Build-Depends: ant,
-  ant-optional,
+Build-Depends:
   default-jdk,
-  debhelper (>= 10),
+  debhelper (>= 11),
   dh-exec,
   gettext,
   liblocale-msgfmt-perl,
   libxml2-utils,
   php-cli,
+  php-dev,
+  phpmd,
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
 Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
 Homepage: https://github.com/Kopano-dev/kopano-webapp
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 
 Package: kopano-webapp-common
 Architecture: all
 Depends:
  kopano-contacts (>= 8.1.0),
  php-gettext,
- php-mapi (>= 8.1.0),
+ php-mapi (>= 8.6.92),
  ssl-cert,
  ${misc:Depends},
 Recommends:

=== debian/rules ===
--- 
+++ 
@@ -4,18 +4,34 @@
 
 include /usr/share/dpkg/pkg-info.mk
 RELEASE := $(DEB_DISTRIBUTION)
-PHP_VERSION = 7.2
+PHP_VERSION = $(shell basename $$(readlink -f /usr/bin/php-config) | sed 's/php-config//g')
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
 
 %:
 	dh $@ 
 
+check_php_version:
+	@if [ "x$(PHP_VERSION)" = "x" ]; then \
+		echo "Variable \$$(PHP_VERSION) is empty! Giving up!" ;\
+		exit 99 ;\
+	else \
+		echo "##########################" ;\
+		echo "# Using PHP_VERSION: '$(PHP_VERSION)'" ;\
+		echo "##########################" ;\
+	fi
+
 override_dh_auto_clean:
 
-override_dh_auto_build:
+override_dh_auto_build: check_php_version
 	# now let's build the stuff
-	ant deploy deploy-plugins
+	make -j$(NUMJOBS)
 	mkdir $(CURDIR)/debian/tmp
 	cp -a $(CURDIR)/deploy $(CURDIR)/debian/tmp/
+	sed -e "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-apache2.postinst.in > debian/kopano-webapp-apache2.postinst
+	sed -e "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-lighttpd.postinst.in > debian/kopano-webapp-lighttpd.postinst
 	sed -e "s/@version@/$(PHP_VERSION)/g" debian/kopano-webapp-nginx.postinst.in > debian/kopano-webapp-nginx.postinst
 
 override_dh_install:
@@ -30,5 +46,6 @@
 override_dh_fixperms:
 	dh_fixperms -Xvar/lib/kopano-webapp/tmp
 	chown www-data:www-data $(CURDIR)/debian/kopano-webapp-common/var/lib/kopano-webapp/tmp
+	find $(CURDIR)/debian/kopano-webapp-common/usr/share/kopano-webapp -type f -exec chmod -x {} \;
 
 override_dh_auto_test:

## kopano-webapp 3.5.8+dfsg1

=== debian/changelog ===
kopano-webapp (3.5.8+dfsg1-2) unstable; urgency=medium

  * [40939f0] remove php-gettext as package dependency

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 28 Jul 2019 09:56:52 -0300

kopano-webapp (3.5.8+dfsg1-1) unstable; urgency=medium

  * [744e940] New upstream version 3.5.8+dfsg1
  * [18fbd1c] d/copyright: update copyright information
     Adding a new file which we didn't have tracked yet.
  * [871fc90] rebuild patch queue from patch-queue branch
  * [2c6da71] debian/control: increase Standards-Version to 4.4.0
     No further changes needed.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sat, 27 Jul 2019 13:33:42 -0300

kopano-webapp (3.5.6+dfsg1-1) unstable; urgency=medium

  * [627b6b3] New upstream version 3.5.6+dfsg1
  * [79f588b] rebuild patch queue from patch-queue branch
  * [b4a3931] d/copyright: update copyright information
     Since upstream version 3.5.4 some new additional software is included
     which is required to be reflected in the copyright file.
  * [c983579] d/rules: exclude the installation of *.md files

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 30 May 2019 11:22:51 +0200

kopano-webapp (3.5.3+dfsg1-1) unstable; urgency=medium

  * [a292ded] New upstream version 3.5.3+dfsg1
  * [5a04a67] rebuild patch queue from patch-queue branch

 -- Carsten Schoenert <c.schoenert@t-online.de>  Thu, 07 Mar 2019 19:51:26 +0100

## kopano-webapp 3.5.9+dfsg1

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,7 @@
 # Javascript compiler
 
 JSDEPLOY = $(DESTDIR)/client
+OIDCDEPLOY = $(JSDEPLOY)/oidc
 
 JSCOMPILER ?= $(JAVA) -jar tools/lib/compiler.jar
 
@@ -41,17 +42,15 @@
 
 # Client files
 
-CSS = $(wildcard client/resources/css/*/*.css client/extjs/ux/css/ux-all.css client/extjs/resources/css/*.css)
+CSS = $(wildcard client/resources/css/*.* client/resources/css/*/*.* client/extjs/ux/css/ux-all.css client/extjs/resources/css/*.css)
 CSSDEST = $(addprefix $(DESTDIR)/, $(CSS))
 IMAGEDIR = client/resources/images
-IMAGES = $(wildcard $(IMAGEDIR)/*.* $(IMAGEDIR)/whatsnew/*.*)
-IMAGESDEST = $(addprefix $(DESTDIR)/, $(IMAGES))
 APPICONS = $(wildcard $(IMAGEDIR)/app-icons/*.*)
-APPICONSDEST = $(addprefix $(DESTDIR)/, $(APPICONS))
 APPICONSSCSS = client/resources/scss/base/_icons.scss
 APPICONSEXTENSIONSFILE = client/resources/images/app-icons.extensions.json
+IMAGES = $(filter-out $(APPICONSEXTENSIONSFILE), $(wildcard $(IMAGEDIR)/*.* $(IMAGEDIR)/whatsnew/*.*))
+IMAGESDEST = $(addprefix $(DESTDIR)/, $(IMAGES))
 EXTJSMODFILES = $(wildcard client/extjs-mod/*.js)
-KOPANOCSS = $(DESTDIR)/client/resources/css/kopano.css
 ICONEXTENSIONSFILE = client/resources/iconsets/extensions.json
 ICONSETS = $(notdir $(filter-out client/resources/iconsets/extensions.json, $(wildcard client/resources/iconsets/*)))
 ICONS = $(foreach iconsetdir,$(ICONSETS),$(wildcard client/resources/iconsets/$(iconsetdir)/src/png/*/*.png))
@@ -77,21 +76,19 @@
 
 server: $(MOS) $(LANGTXTDEST) $(PHPFILES) $(DESTDIR)/$(APACHECONF) $(DISTFILES) $(ROBOTS) $(HTACCESS) $(DESTDIR)/version $(SERVERROOTFILES)
 
-client: $(CSSDEST) $(ICONSETSDEST) $(IMAGESDEST) $(KOPANOCSS) $(APPICONSDEST) js
+client: $(CSSDEST) $(ICONSETSDEST) $(IMAGESDEST) js
 	cp -r client/resources/fonts $(DESTDIR)/client/resources/
-	cp -r client/resources/scss $(DESTDIR)/client/resources/
-	cp -r client/resources/config.rb $(DESTDIR)/client/resources/
-	cp -r client/resources/iconsets $(DESTDIR)/client/resources/
 	cp -r client/zarafa/core/themes $(DESTDIR)/client/
-	cp -r client/resources/images/app-icons $(DESTDIR)/client/resources/images/
 	rm -rf $(DESTDIR)/client/themes/*/js
+	cp -r client/resources/scss $(DESTDIR)/client/resources/scss
 	# TODO use separate targets
 
-js: $(JSDEPLOY)/fingerprint.js $(JSDEPLOY)/resize.js $(TEMPATEJSDEST) $(JSDEPLOY)/kopano.js $(JSDEPLOY)/extjs-mod/extjs-mod.js $(JSDEPLOY)/extjs/ext-base-all.js $(DESTDIR)/client/third-party/ux-thirdparty.js
+js: $(JSDEPLOY)/fingerprint.js $(JSDEPLOY)/resize.js $(TEMPATEJSDEST) $(JSDEPLOY)/kopano.js $(JSDEPLOY)/extjs-mod/extjs-mod.js $(JSDEPLOY)/extjs/ext-base-all.js $(DESTDIR)/client/third-party/ux-thirdparty.js $(JSDEPLOY)/oidc-kopano.js
 	cp -r client/tinymce $(DESTDIR)/client/
 	cp -r client/tinymce-languages $(DESTDIR)/client/
 	cp -r client/tinymce-plugins $(DESTDIR)/client/
 	cp -r client/extjs $(DESTDIR)/client/
+	cp -r client/oidc $(DESTDIR)/client/
 	rm $(DESTDIR)/client/extjs/ext-base.js
 	rm $(DESTDIR)/client/extjs/ext-all.js
 	rm $(DESTDIR)/client/extjs/resources/css/reset-min.css
@@ -110,10 +107,6 @@
 	cp $< $@
 
 $(HTACCESS): .htaccess
-	cp $< $@
-
-$(KOPANOCSS): client/resources/css/design.css
-	mkdir -p $$(dirname $@)
 	cp $< $@
 
 $(DESTDIR)/%.mo : %.po
@@ -154,6 +147,12 @@
 $(JSDEPLOY)/resize.js: client/resize.js
 	mkdir -p $(JSDEPLOY)
 	cat client/resize.js > $(JSDEPLOY)/resize-debug.js
+	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@
+
+$(JSDEPLOY)/oidc-kopano.js: client/oidc-kopano.js
+	mkdir -p $(JSDEPLOY)
+	cp client/oidc.js.php $(JSDEPLOY)/
+	cat client/oidc-kopano.js > $(JSDEPLOY)/oidc-kopano-debug.js
 	$(JSCOMPILER) --js $(@:.js=-debug.js) --js_output_file $@
 
 $(JSDEPLOY)/third-party/ux-thirdparty.js: $(THIRDPARTY)

=== debian/changelog ===
kopano-webapp (3.5.9+dfsg1-1build1) eoan; urgency=medium

  * No change re-build for PHP7.3.

 -- Bryce Harrington <bryce@canonical.com>  Fri, 06 Sep 2019 04:41:59 +0000

kopano-webapp (3.5.9+dfsg1-1) unstable; urgency=medium

  * [e3d5e48] New upstream version 3.5.9+dfsg1
  * [4654083] rebuild patch queue from patch-queue branch
  * [31eed61] source lintian: ignore more warning about long lines
     Also ignore waenings about oidc-client.js and tokenizr.js.

 -- Carsten Schoenert <c.schoenert@t-online.de>  Sun, 11 Aug 2019 19:22:35 +0200

=== debian/control ===
--- 
+++ 
@@ -18,13 +18,12 @@
 Vcs-Git: https://salsa.debian.org/giraffe-team/kopano-webapp.git
 Vcs-Browser: https://salsa.debian.org/giraffe-team/kopano-webapp
 Homepage: https://github.com/Kopano-dev/kopano-webapp
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 
 Package: kopano-webapp-common
 Architecture: all
 Depends:
  kopano-contacts (>= 8.1.0),
- php-gettext,
  php-mapi (>= 8.6.92),
  ssl-cert,
  ${misc:Depends},
